<?php
 
session_start();
include("DMMYSQLG.php");
include("DSA6000.php");
?>
<html>
<link rel="stylesheet" href="COS_CSS.css" type="text/css"/>
<script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>
<body>
<?php
 
include('CO10200_CL.php');
	$varible_clase = new clase();
	$varible_clase->n_reg=strtoupper($_POST["tap1"]);
	$varible_clase->np_desc1=strtoupper($_POST["tap2"]);
	$varible_clase->descripcion=strtoupper($_POST["descripcion"]);
	$varible_clase->ubicacion=strtoupper($_POST["tap3"]);
	$varible_clase->fic_tec=mysqli_real_escape_string($con,trim($_POST["fic_tec"]));
	$varible_clase->almacen=strtoupper($_POST["almacen"]);
	$varible_clase->factor=strtoupper($_POST["factor"]);
	$varible_clase->unidad=strtoupper($_POST["unidad"]);
	$varible_clase->capacidad=strtoupper($_POST["capacidad"]);
	$varible_clase->invmin=$_POST["invmin"];
	$varible_clase->invmax=$_POST["invmax"];
	$varible_clase->ultimoc=strtoupper($_POST["ultimoc"]);
	$varible_clase->costop=strtoupper($_POST["costop"]);
	$varible_clase->entradae=strtoupper($_POST["entradae"]);
	$varible_clase->salidae=strtoupper($_POST["salidae"]);
	$varible_clase->salidaf=strtoupper($_POST["salidaf"]);
	$varible_clase->entradam=strtoupper($_POST["entradam"]);
	$varible_clase->salidam=strtoupper($_POST["salidam"]);
	$varible_clase->salidaa=strtoupper($_POST["salidaa"]);
	$varible_clase->salidaj=strtoupper($_POST["salidaj"]);
	$varible_clase->entradama=strtoupper($_POST["entradama"]);
	$varible_clase->salidama=strtoupper($_POST["salidama"]);
	$varible_clase->p1=strtoupper($_POST["p1"]);
	$varible_clase->p2=strtoupper($_POST["p2"]);
	$varible_clase->codigo=strtoupper($_POST["codigo"]);	
	
	$fec = $_POST['gfecini'];
	include('DF20000.php');
	$varible_clase->gfecini = $f_m;
		
	//Revizar si ya existe el registro
	$res=$varible_clase->revisar();
	if($res == "ok"){
		echo '<h2>EL REGISTRO YA EXISTE</h2>';
		echo '<meta content="1; url=CO10200_PR.php" HTTP-EQUIV="REFRESH">';
		exit();
	}    	 
	//Ejecuta el codigo de agregar
	$res=$varible_clase->agregar();
	if($res == "ok"){
		$ultimo_id =$varible_clase->n_reg;
		if(is_uploaded_file($_FILES['fichero']['tmp_name'])){
        	if(move_uploaded_file($_FILES['fichero']['tmp_name'], 'foto/corec2/NO_'.$ultimo_id . '.JPG')){
        	}
    	} 	 
		echo '<h2>NUEVA RECETA AGREGADA:'.$_POST['tap2'].'</h2>';
		echo '<meta content="1; url=CO10200_PR.php"  HTTP-EQUIV="REFRESH">';
	}else{
		echo '<h2>NO SE HA PODIDO AGREGAR LA RECETA</h2>';
		echo $res;
		echo '<meta content="10; url=CO10200_PR.php" HTTP-EQUIV="REFRESH">';
	}    
?>
</body>
</html>